using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class ExpedienteCompletoLogic
    {
        #region Constructor

        private ExpedienteCompletoDataAccess ExpedienteCompletoDA;

        public ExpedienteCompletoLogic()
        {
            ExpedienteCompletoDA = new ExpedienteCompletoDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<ExpedienteCompleto> ListarExpedienteCompleto()
        {
            List<ExpedienteCompleto> results = null;
            try
            {

                results = ExpedienteCompletoDA.ListadoExpedienteCompleto();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
